mwMsgHandshakeAck Struct Reference

`#include <mw_message.h>`

## Data Fields

struct mwOpaque | data
| server's DH public key for auth
struct mwMessage | head
guint32 | magic
| four bytes of something
guint16 | major
| server's major version number
guint16 | minor
| server's minor version number
guint32 | srvrcalc_addr
| server-calculated address

## Field Documentation

## data

struct mwOpaque mwMsgHandshakeAck::data

server's DH public key for auth

## head

struct mwMessage mwMsgHandshakeAck::head

## magic

guint32 mwMsgHandshakeAck::magic

four bytes of something

## major

guint16 mwMsgHandshakeAck::major

server's major version number

## minor

guint16 mwMsgHandshakeAck::minor

server's minor version number

## srvrcalc_addr

guint32 mwMsgHandshakeAck::srvrcalc_addr

server-calculated address

The documentation for this struct was generated from the following file:

- mw_message.h